Name:		qt-creator
Version:	2.5.2
Release:	1
License:	LGPLv2+ and MIT
Summary:	Qt Creator is a lightweight, cross-platform IDE
Group:		Development/KDE and Qt
URL:		http://qt.nokia.com/products/developer-tools
Source0:	http://get.qt.nokia.com/qtcreator/%{name}-%{version}-src.tar.gz
Source2:	Nokia-QtCreator.xml
BuildRequires:	qt4-devel >= 4:4.7.4
BuildRequires:	qt4-devel-private >= 4:4.7.4
BuildRequires:	qt4-qdoc3
BuildRequires:	qt4-assistant
BuildRequires:	automoc4
Suggests:	qt4-designer
Suggests:	qt4-assistant
Suggests:	qt4-devel
Suggests:	qt4-qmlviewer
Suggests:	qt-creator-doc

%description
Qt Creator (previously known as Project Greenhouse) is a new, lightweight,
cross-platform integrated development environment (IDE) designed to make
development with the Qt application framework even faster and easier.

%pre
if [ "$1" == "2" -a -L %{_bindir}/qtcreator ]
then
	rm -f %{_bindir}/qtcreator
fi

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/qtcreator
%{_bindir}/qmlprofiler
%{_bindir}/qmlpuppet
%{_bindir}/qtcreator_process_stub
%{_bindir}/qtpromaker
%{_libdir}/qtcreator
%{_datadir}/qtcreator
%{_iconsdir}/*/*/*/qtcreator.png
%{_datadir}/mime/packages/*
%{_datadir}/applications/qtcreator.desktop

#------------------------------------------------------------------------------

%package doc
Summary:	Qt Creator documentation
Group:		Development/KDE and Qt
Suggests:	qt4-doc

%description doc
Qt Creator documentation.

%files doc
%defattr(-,root,root,-)
%{_datadir}/doc/qtcreator/qtcreator.qch
%{_datadir}/doc/qtcreator/qtcreator-dev.qch

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}-src

%build
export QTDIR=%{qt4dir}
%qmake_qt4 -r IDE_LIBRARY_BASENAME=%{_lib}
%make
%make docs

%install
%__rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}%{_prefix} install_docs

%__mkdir_p %{buildroot}%{_datadir}/mime/packages
%__install -m 0644 %{SOURCE2} %{buildroot}/%{_datadir}/mime/packages

%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/qtcreator.desktop << EOF
[Desktop Entry]
Type=Application
Exec=%{_bindir}/qtcreator
Name=Qt Creator
GenericName=C++ IDE for developing Qt applications
X-KDE-StartupNotify=true
Icon=qtcreator
Terminal=false
Categories=Development;IDE;Qt;
MimeType=text/x-c++src;text/x-c++hdr;text/x-xsrc;application/x-designer;application/vnd.nokia.qt.qmakeprofile;application/vnd.nokia.xml.qt.resource;
InitialPreference=9
EOF



%changelog
* Sun Aug 19 2012 Andrey Bondrov <abondrov@mandriva.org> 2.5.2-1
+ Revision: 815347
- New version 2.5.2

  + Alexander Khrukin <akhrukin@mandriva.org>
    - version update  2.5.1

* Tue Jul 10 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 2.5.0-2
+ Revision: 808708
- Use proper path for mime-type source XML file (rosa #465)

* Thu May 10 2012 Andrey Bondrov <abondrov@mandriva.org> 2.5.0-1
+ Revision: 797884
- New version 2.5.0

* Sat Feb 04 2012 Andrey Bondrov <abondrov@mandriva.org> 2.4.1-2
+ Revision: 771170
- Fix icon in .desktop file

* Sat Feb 04 2012 Andrey Bondrov <abondrov@mandriva.org> 2.4.1-1
+ Revision: 771069
- New version 2.4.1, update files (new binary qmlprofiler), add qt4-qmlviewer to Suggests

* Sun Jan 29 2012 Andrey Bondrov <abondrov@mandriva.org> 2.4.0-2
+ Revision: 769652
- Build qch docs and enable docs subpackage

* Fri Jan 27 2012 Andrey Bondrov <abondrov@mandriva.org> 2.4.0-1
+ Revision: 769413
- Fix summary and description lines length
- New version 2.4.0, disable doc subpackage for now (we don't have qch docs in 2.4.0)

* Tue Jun 21 2011 Funda Wang <fwang@mandriva.org> 2.2.1-1
+ Revision: 686472
- new version 2.2.1

* Sat May 07 2011 Funda Wang <fwang@mandriva.org> 2.2.0-1
+ Revision: 672249
- update file list
- new version 2.2.0

* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-2
+ Revision: 669385
- mass rebuild

  + Funda Wang <fwang@mandriva.org>
    - update url

* Thu Mar 03 2011 Funda Wang <fwang@mandriva.org> 2.1.0-1
+ Revision: 641446
- New version 2.1.0 final

* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 2.1.0-0.rc1.2mdv2011.0
+ Revision: 620625
- new prefix=/usr

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 2.1.0-0.rc1.1mdv2011.0
+ Revision: 609620
- 2.1 rc1

* Thu Nov 11 2010 Funda Wang <fwang@mandriva.org> 2.1.0-0.beta2.1mdv2011.0
+ Revision: 595931
- new version 2.1 beta2

* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 2.1-0.2mdv2011.0
+ Revision: 582907
- new snapshot
- revert previous commit
- doc package is noarch

* Fri Aug 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1-0.1mdv2011.0
+ Revision: 573461
- Update to 08-27-2010 git snapshot of qt-creator 2.1

* Wed Aug 25 2010 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 573286
- new version 2.0.1
- New version 2.0.0

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix qt minimal version required

* Fri Jan 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.1-3mdv2010.1
+ Revision: 497889
- fix typo in .desktop file
-fix typo in summary

* Thu Jan 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.1-2mdv2010.1
+ Revision: 497513
- fix installing docs
- split docs in a separate package
- oboslete old -doc-1.2.1 package, docs are now in main package
- clean spec
- make .desktop file compliant with xdg specs
- install the docs, and symlink the excutable to %%_bindir (bug 57185)

* Tue Jan 19 2010 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2010.1
+ Revision: 493632
- new version 1.3.1

* Mon Jan 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-2mdv2010.1
+ Revision: 493106
- Fix missing icon issue under not KDE

* Tue Dec 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-1mdv2010.1
+ Revision: 472225
- Update to version 1.3.0 final

* Wed Nov 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.rc1.1mdv2010.1
+ Revision: 467207
- Update to 1.3.0 Rc1

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.beta1.4mdv2010.1
+ Revision: 466820
- Fix mime emplacement

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.beta1.3mdv2010.1
+ Revision: 466798
- Fix Exec menu entry

* Tue Nov 10 2009 Helio Chissini de Castro <helio@mandriva.com> 1.3.0-0.beta1.2mdv2010.1
+ Revision: 464135
- As requested by Neoclust adding trunk post beta1

* Tue Sep 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.1-2mdv2010.0
+ Revision: 451025
- Fixing stub binary place as demanded as fast as possible by research and development team.

* Tue Jul 14 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.1-1mdv2010.0
+ Revision: 396006
- New upstream bugfix release 1.2.1

* Sat Jul 04 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.0-1mdv2010.0
+ Revision: 392362
- New upstream version

* Wed Apr 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.0-1mdv2010.0
+ Revision: 369145
- Update release 1.1.0 with cmake patch updated as well

* Mon Mar 16 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-4mdv2009.1
+ Revision: 355923
- Fixed doc package creation

* Wed Mar 11 2009 Funda Wang <fwang@mandriva.org> 1.0.0-3mdv2009.1
+ Revision: 353617
- add proper categories

* Mon Mar 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-2mdv2009.1
+ Revision: 353237
- This is the first package with the new changes introduced by Mandriva to make a suitable distro compliant
  buildsystem, to list some of the changes:
- Cmake buildsystem replacement fully working, allowing a good 32 bits / 64 bits separation
- Designer plugin fully working
- Added missing icons and mimes, taken from upstream binary package
- Added global mime
- Added desktop file and icons
- Finished initial cmake port build to allow 64 / 32 bits. Still under
  development since some plugins aren't properly registering

* Tue Mar 03 2009 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 347862
- New version 1.0.0

* Mon Feb 16 2009 Helio Chissini de Castro <helio@mandriva.com> 0.9.2-1mdv2009.1
+ Revision: 341074
- import qt-creator


